'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.map = exports.scale = undefined;

var _createValueGetter = require('../utils/createValueGetter');

var _createValueGetter2 = _interopRequireDefault(_createValueGetter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var scale = exports.scale = [0, 360, 400, 480, 600, 720, 840, 960, 1024, 1280, 1440, 1600, 1920].map(function (x) {
  return '@media(min-width: ' + x / 16 + 'em)';
});

var map = exports.map = {
  xs: scale[0],
  s: scale[4],
  m: scale[7],
  l: scale[9],
  xl: scale[12]
};

exports.default = (0, _createValueGetter2.default)(scale, map, map.xs);