'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.scale = exports.map = undefined;

var _createValueGetter = require('../utils/createValueGetter');

var _createValueGetter2 = _interopRequireDefault(_createValueGetter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var map = exports.map = {
  thin: 100,
  extralight: 200,
  light: 300,
  normal: 400,
  medium: 500,
  semibold: 600,
  bold: 700,
  extrabold: 800,
  black: 900
};

var scale = exports.scale = [0, map.thin, map.extralight, map.light, map.normal, map.medium, map.semibold, map.bold, map.extrabold, map.black];

exports.default = (0, _createValueGetter2.default)(scale, map, map.normal);