'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyleUtils = exports.Typeface = exports.Typography = exports.Colors = exports.Theme = exports.Layout = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _Theme2 = require('./Theme');

Object.defineProperty(exports, 'Colors', {
  enumerable: true,
  get: function get() {
    return _Theme2.Colors;
  }
});

var _Typography2 = require('./Typography');

Object.defineProperty(exports, 'Typeface', {
  enumerable: true,
  get: function get() {
    return _Typography2.Typeface;
  }
});

var _Layout2 = require('./Layout');

var Layout = _interopRequireWildcard(_Layout2);

var _Layout = _interopRequireWildcard(_Layout2);

var Theme = _interopRequireWildcard(_Theme2);

var _Theme = _interopRequireWildcard(_Theme2);

var Typography = _interopRequireWildcard(_Typography2);

var _Typography = _interopRequireWildcard(_Typography2);

var _StyleUtils2 = require('./StyleUtils');

var StyleUtils = _interopRequireWildcard(_StyleUtils2);

var _StyleUtils = _interopRequireWildcard(_StyleUtils2);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.Layout = _Layout;
exports.Theme = _Theme;
exports.Typography = _Typography;
exports.StyleUtils = _StyleUtils;
exports.default = _extends({}, Layout, Theme, Theme.Colors, Typography, Typography.Typeface, StyleUtils);