'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = valueGetterFromObject;
function valueGetterFromObject(obj, defaultValue) {
  return function (x) {
    if (x == null && defaultValue != null) {
      return defaultValue;
    }

    if (x == null) {
      x = Object.keys(obj)[0];
    }

    return obj[x];
  };
}